/*
 *			i s p r i n . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	isprint	Test for Printable Character
index		Test for printable character

synopsis
	.s.nf
	int
	isprint(c)
	int		c;
	.s.f
Description

	Return non-zero if c is a printable character.  The printable
	characters include all graphics, including space.  (See
	isgraph(), also.)

Bugs

	The value is defined only if isascii(c) is TRUE.

#endif

#include	<ctype.h>
#ifdef	isprint
#undef	isprint
#endif

int
isprint(c)
int		c;
{
	return (_ctype_[c & 0177] & (_PULD | _B));
}
